### Function

# ECal ComponentAttendee new_full

since: 3.34

#### Declaration [src]

    ECalComponentAttendee*
    e_cal_component_attendee_new_full (
      const gchar* value,
      const gchar* member,
      ICalParameterCutype cutype,
      ICalParameterRole role,
      ICalParameterPartstat partstat,
      gboolean rsvp,
      const gchar* delegatedfrom,
      const gchar* delegatedto,
      const gchar* sentby,
      const gchar* cn,
      const gchar* language
    )

#### Description [src]

Creates a new `ECalComponentAttendee` structure, with all members filled with given values from the parameters. The `NULL` and empty strings are treated as unset the value. Free the structure with e_cal_component_attendee_free(), when no longer needed.

Available since: 3.34

#### Parameters

`value`

  Type: `const gchar*`

  Usually a “mailto:email” of the attendee.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`member`

  Type: `const gchar*`

  Member parameter.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cutype`

  Type: `ICalParameterCutype`

  Type of the attendee, an `ICalParameterCutype`.

`role`

  Type: `ICalParameterRole`

  Role of the attendee, an `ICalParameterRole`.

`partstat`

  Type: `ICalParameterPartstat`

  Current status of the attendee, an `ICalParameterPartstat`.

`rsvp`

  Type: `gboolean`

  Whether requires RSVP.

`delegatedfrom`

  Type: `const gchar*`

  Delegated from.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`delegatedto`

  Type: `const gchar*`

  Delegated to.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`sentby`

  Type: `const gchar*`

  Sent by.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cn`

  Type: `const gchar*`

  Common name.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`language`

  Type: `const gchar*`

  Language.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ECalComponentAttendee`

A newly allocated `ECalComponentAttendee`.

The caller of the function takes ownership of the data, and is responsible for freeing it.